syncio_socket.h File Reference
`#include <gwenhywfar/syncio.h>`
`#include <gwenhywfar/inetsocket.h>`

Go to the source code of this file.

## Macros

#define | GWEN_SYNCIO_SOCKET_TYPE "socket"

## Functions

GWENHYWFAR_API const char * | GWEN_SyncIo_Socket_GetAddress (const GWEN_SYNCIO *sio)
GWENHYWFAR_API int | GWEN_SyncIo_Socket_GetPort (const GWEN_SYNCIO *sio)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Socket_new (GWEN_SOCKETTYPE sockType, GWEN_AddressFamily addressFamily)
GWENHYWFAR_API void | GWEN_SyncIo_Socket_SetAddress (GWEN_SYNCIO *sio, const char *s)
GWENHYWFAR_API void | GWEN_SyncIo_Socket_SetPort (GWEN_SYNCIO *sio, int i)
GWENHYWFAR_API GWEN_SYNCIO * | GWEN_SyncIo_Socket_TakeOver (GWEN_SOCKET *socket)

## Macro Definition Documentation

## GWEN_SYNCIO_SOCKET_TYPE

#define GWEN_SYNCIO_SOCKET_TYPE "socket"

Definition at line 33 of file syncio_socket.h.

## Function Documentation

## GWEN_SyncIo_Socket_GetAddress()

GWENHYWFAR_API const char * GWEN_SyncIo_Socket_GetAddress | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Socket_GetPort()

GWENHYWFAR_API int GWEN_SyncIo_Socket_GetPort | ( | const GWEN_SYNCIO * | sio | ) |

References GWENHYWFAR_API.

## GWEN_SyncIo_Socket_new()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Socket_new | ( | GWEN_SOCKETTYPE | sockType,
|  | GWEN_AddressFamily | addressFamily )

References GWENHYWFAR_API.

## GWEN_SyncIo_Socket_SetAddress()

GWENHYWFAR_API void GWEN_SyncIo_Socket_SetAddress | ( | GWEN_SYNCIO * | sio,
|  | const char * | s )

References GWENHYWFAR_API.

## GWEN_SyncIo_Socket_SetPort()

GWENHYWFAR_API void GWEN_SyncIo_Socket_SetPort | ( | GWEN_SYNCIO * | sio,
|  | int | i )

## GWEN_SyncIo_Socket_TakeOver()

GWENHYWFAR_API GWEN_SYNCIO * GWEN_SyncIo_Socket_TakeOver | ( | GWEN_SOCKET * | socket | ) |

References GWENHYWFAR_API.